mod-dmext (0.11.12) unstable; urgency=medium

  * [mod-dmext] Add a version-agnostic IP range validator

 -- SAH bot <sahbot@softathome.com>  Thu, 02 Jan 2025 12:14:22 +0000

mod-dmext (0.11.11) unstable; urgency=medium

  * - [mod-dmex] set_object_ref doesn't remove the dot

 -- SAH bot <sahbot@softathome.com>  Thu, 21 Nov 2024 12:37:59 +0000

mod-dmext (0.11.10) unstable; urgency=medium

  * - [dhcpv4-server] make dhcpv4 server work with mod-dmext
  * - [dhcpv4-server] make dhcpv4 server work with mod-dmext

 -- SAH bot <sahbot@softathome.com>  Fri, 25 Oct 2024 11:20:44 +0000

mod-dmext (0.11.9) unstable; urgency=medium

  * Firewall fails to start when container restarts

 -- SAH bot <sahbot@softathome.com>  Tue, 22 Oct 2024 08:56:36 +0000

mod-dmext (0.11.8) unstable; urgency=medium

  * [mod-dmext] Extend is_valid_ipv4_network to support CSV and SSV strings

 -- SAH bot <sahbot@softathome.com>  Wed, 25 Sep 2024 18:16:41 +0000

mod-dmext (0.11.7) unstable; urgency=medium

  * Firewall fails to start when container restarts

 -- SAH bot <sahbot@softathome.com>  Tue, 17 Sep 2024 09:51:58 +0000

mod-dmext (0.11.6) unstable; urgency=medium

  * Passing invalid priv data pointer

 -- SAH bot <sahbot@softathome.com>  Mon, 09 Sep 2024 15:32:26 +0000

mod-dmext (0.11.5) unstable; urgency=medium

  * [mod-dmext] Add a hostname validator function

 -- SAH bot <sahbot@softathome.com>  Tue, 03 Sep 2024 16:16:16 +0000

mod-dmext (0.11.4) unstable; urgency=medium

  * [mod-dmext] Add a hostname validator function

 -- SAH bot <sahbot@softathome.com>  Mon, 02 Sep 2024 15:50:39 +0000

mod-dmext (0.11.3) unstable; urgency=medium

  * [mod-dmext] Add a string length validation function

 -- SAH bot <sahbot@softathome.com>  Mon, 02 Sep 2024 07:06:45 +0000

mod-dmext (0.11.2) unstable; urgency=medium

  * [mod-dmext] Add unit tests for IPv4 subnet validator function

 -- SAH bot <sahbot@softathome.com>  Mon, 02 Sep 2024 06:59:58 +0000

mod-dmext (0.11.1) unstable; urgency=medium

  * [Security]Server side validation on Wireguard

 -- SAH bot <sahbot@softathome.com>  Thu, 01 Aug 2024 09:51:42 +0000

mod-dmext (0.11.0) unstable; urgency=medium

  * Add write action to strip dot from paths

 -- SAH bot <sahbot@softathome.com>  Tue, 07 May 2024 16:03:02 +0000

mod-dmext (0.10.1) unstable; urgency=medium

  * [AMX] Implement rotation for when a defined max of instances is reached

 -- SAH bot <sahbot@softathome.com>  Fri, 08 Mar 2024 11:32:27 +0000

mod-dmext (0.10.0) unstable; urgency=medium

  * Add some extra functions in mod-dmext to read/write values directly in files.

 -- SAH bot <sahbot@softathome.com>  Tue, 05 Mar 2024 09:11:30 +0000

mod-dmext (0.9.1) unstable; urgency=medium

  * set_object_ref no longer accepts empty strings

 -- SAH bot <sahbot@softathome.com>  Fri, 15 Dec 2023 15:20:11 +0000

mod-dmext (0.9.0) unstable; urgency=medium

  * [mod-dmext]Improve and extend object reference functionality

 -- SAH bot <sahbot@softathome.com>  Tue, 12 Dec 2023 11:41:17 +0000

mod-dmext (0.8.0) unstable; urgency=medium

  * CLONE - [Data model] Add (X_PRPL-COM_)WINSServer parameter in DHCPv4 Server Pool: part 1, provide DataModel

 -- SAH bot <sahbot@softathome.com>  Thu, 07 Dec 2023 10:45:33 +0000

mod-dmext (0.7.2) unstable; urgency=medium

  * Fix license headers in files

 -- SAH bot <sahbot@softathome.com>  Wed, 06 Dec 2023 14:07:02 +0000

mod-dmext (0.7.1) unstable; urgency=medium

  * [TR181 LED] Defaults are not loaded when log level is set via CLI

 -- SAH bot <sahbot@softathome.com>  Wed, 06 Dec 2023 13:41:20 +0000

mod-dmext (0.7.0) unstable; urgency=medium

  * Add posibility for action handlers to provide a description

 -- SAH bot <sahbot@softathome.com>  Tue, 05 Dec 2023 12:34:51 +0000

mod-dmext (0.6.0) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Thu, 04 May 2023 12:05:52 +0000

mod-dmext (0.5.1) unstable; urgency=medium

  * - [amx][mod-dmext] Implement function csv_values_matches_regexp

 -- SAH bot <sahbot@softathome.com>  Fri, 07 Apr 2023 14:22:30 +0000

mod-dmext (0.5.0) unstable; urgency=medium

  * [AMX] Write generic function for setting default parameter values

 -- SAH bot <sahbot@softathome.com>  Wed, 25 Jan 2023 09:46:40 +0000

mod-dmext (0.4.1) unstable; urgency=medium

  * Parameter with object reference to the same data model causes timeout

 -- SAH bot <sahbot@softathome.com>  Tue, 13 Dec 2022 07:33:36 +0000

mod-dmext (0.4.0) unstable; urgency=medium

  * Add validator for check_is_empty_or_in

 -- SAH bot <sahbot@softathome.com>  Fri, 28 Oct 2022 13:35:55 +0000

mod-dmext (0.3.4) unstable; urgency=medium

  * Refactor parameter with object references validation

 -- SAH bot <sahbot@softathome.com>  Thu, 02 Jun 2022 06:53:15 +0000

mod-dmext (0.3.3) unstable; urgency=medium

  * Object paths in reference parameters  must not end with a dot

 -- SAH bot <sahbot@softathome.com>  Mon, 23 May 2022 11:54:10 +0000

mod-dmext (0.3.2) unstable; urgency=medium

  * [Gitlab CI][Unit tests][valgrind] Pipeline doesn't stop when memory leaks are detected

 -- SAH bot <sahbot@softathome.com>  Mon, 23 May 2022 07:46:32 +0000

mod-dmext (0.3.1) unstable; urgency=medium

  * [prpl][qos] After a save(), the QoS plugin does not start anymore

 -- SAH bot <sahbot@softathome.com>  Wed, 09 Feb 2022 12:42:23 +0000

mod-dmext (0.3.0) unstable; urgency=medium

  * Add validator for IPv6 prefixes

 -- SAH bot <sahbot@softathome.com>  Fri, 10 Dec 2021 21:11:53 +0000

mod-dmext (0.2.0) unstable; urgency=medium

  * Implement reference following to local object
  * Move component from ambiorix to core on gitlab.com

 -- SAH bot <sahbot@softathome.com>  Mon, 06 Dec 2021 16:08:47 +0000

mod-dmext (0.1.4) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Tue, 14 Sep 2021 14:33:10 +0000

mod-dmext (0.1.3) unstable; urgency=medium

  * [amxc] add ifdef around when_null_x, when_str_empty_x

 -- SAH bot <sahbot@softathome.com>  Tue, 14 Sep 2021 14:05:40 +0000

mod-dmext (0.1.2) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Tue, 15 Jun 2021 09:27:54 +0000

mod-dmext (0.1.1) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Tue, 15 Jun 2021 05:24:50 +0000

mod-dmext (0.1.0) unstable; urgency=medium

  * Add tr-181 ordered instance functionality
  * [tr181 plugins][makefile] Dangerous clean target for all tr181 components

 -- SAH bot <sahbot@softathome.com>  Mon, 14 Jun 2021 13:39:21 +0000

mod-dmext (0.0.4) unstable; urgency=medium

  * Modules and plugins should not have a version extension in their names

 -- SAH bot <sahbot@softathome.com>  Fri, 30 Apr 2021 14:19:35 +0000

mod-dmext (0.0.3) unstable; urgency=medium

  * Disable tests
  * Prepare for opensource

 -- SAH bot <sahbot@softathome.com>  Thu, 29 Apr 2021 17:00:09 +0000

mod-dmext (0.0.2) unstable; urgency=medium

  * forgotten " in BAF file [change]
  * Optimization, when bus_ctx is returned with who has function, the object exists
  * Migrate to new licenses format (baf)
  * Allow empty value for regexp matching

 -- Johan JACOBS <johan.jacobs_ext@softathome.com>  Mon, 12 Apr 2021 10:08:37 +0000

mod-dmext (0.0.1) unstable; urgency=medium

  * Initial version

 -- sah4009 <Peter.deherdt@telenet.be>  Thu, 30 Oct 2020 07:54:18 +0000
